> [!NOTE]
> **Note:** Requires [authorization](https://developers.google.com/android/work/play/emm-api/v1/enterprises/generateEnterpriseUpgradeUrl#auth).

Generates an enterprise upgrade URL to upgrade an existing managed Google
Play Accounts enterprise to a managed Google domain.
See [the guide to upgrading an enterprise](https://developers.google.com/android/work/play/emm-api/upgrade-an-enterprise) for more details.

## Request

### HTTP request

```
POST https://www.googleapis.com/androidenterprise/v1/enterprises/enterpriseId/generateEnterpriseUpgradeUrl
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Path parameters** |||
| `enterpriseId` | `string` | The ID of the enterprise. |
| **Optional query parameters** |||
| `adminEmail` | `string` | Optional. Email address used to prefill the admin field of the enterprise signup form as part of the upgrade process. This value is a hint only and can be altered by the user. Personal email addresses are not allowed. If \`allowedDomains\` is non-empty then this must belong to one of the \`allowedDomains\`. |
| `allowedDomains` | `string` | Optional. A list of domains that are permitted for the admin email. The IT admin cannot enter an email address with a domain name that is not in this list. Subdomains of domains in this list are not allowed but can be allowed by adding a second entry which has \`\*.\` prefixed to the domain name (e.g. \*.example.com). If the field is not present or is an empty list then the IT admin is free to use any valid domain name. Personal email domains are not allowed. |

### Authorization

This request requires authorization with the following scope:

| Scope |
|---|
| `https://www.googleapis.com/auth/androidenterprise` |

For more information, see the [authentication and authorization](https://developers.google.com/android/work/play/emm-api/v1/how-tos/authorizing) page.

### Request body

Do not supply a request body with this method.

## Response

If successful, this method returns a response body with the following structure:

```
{
  "url": string
}
```

| Property name | Value | Description | Notes |
|---|---|---|---|
| `url` | `string` | A URL for an enterprise admin to upgrade their enterprise. The page can't be rendered in an iframe. |   |